version: 3.6-dev_{build}
clone_depth: 10
install:
  - c:\msys64\usr\bin\sh.exe -lc "pacman -Sy mingw-w64-x86_64-libwinpthread-git"
  - c:\msys64\usr\bin\sh.exe -lc "uname -a"
  - c:\msys64\usr\bin\sh.exe -lc "cat /proc/cpuinfo"
  - c:\msys64\usr\bin\sh.exe -lc "cat /proc/meminfo"
  - c:\msys64\usr\bin\sh.exe -lc "cygcheck -s -v > $APPVEYOR_BUILD_FOLDER/cygcheck.log 2>&1"
  - c:\msys64\usr\bin\sh.exe -lc "/mingw64/bin/x86_64-w64-mingw32-gcc.exe -v"
  - c:\msys64\usr\bin\sh.exe -lc "echo 'int main(void) { return 0; }' > gcc-test.c && /mingw64/bin/../lib/gcc/x86_64-w64-mingw32/5.3.0/cc1.exe -v -D_REENTRANT gcc-test.c -dumpbase gcc-test.c -mtune=generic -march=x86-64 -auxbase gcc-test -version -o cc1-test.s"
#  - c:\msys64\usr\bin\sh.exe -lc "./gcc-test"
  - ps: Push-AppveyorArtifact cygcheck.log
build_script:
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER; ./autogen.sh < /dev/null"
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER; env CC=/mingw64/bin/x86_64-w64-mingw32-gcc.exe ./configure --prefix=c:/projects/charybdis/build --enable-openssl=/mingw64 < /dev/null"
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER; make -j2 < /dev/null"
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER; make install < /dev/null"
  - c:\msys64\usr\bin\sh.exe -lc "cd $APPVEYOR_BUILD_FOLDER/build/bin; ./charybdis -version"
on_failure:
  - ps: Push-AppveyorArtifact config.log
